关于阿里云Ecshop SQL注入漏洞导致代码执行的解决方案
漏洞名称:ecshop SQL注入漏洞导致代码执行

漏洞等级:高危

披露时间:2017-02-23 15:14:34

漏洞类型:Web-CMS漏洞

是否有补丁文件:是

补丁来源:云盾自研

补丁发布时间:2017-02-23 15:14:34

漏洞描述:ecshop的/includes/lib_insert.php文件中,对输入参数未进行正确类型转义,导致整型注入的发生。【注意:该补丁为云盾自研代码修复方案,云盾会根据您当前代码是否符合云盾自研的修复模式进行检测,如果您自行采取了底层/框架统一修复、或者使用了其他的修复方案,可能会导致您虽然已经修复了改漏洞,云盾依然报告存在漏洞,遇到该情况可选择忽略该漏洞提示】

修复建议:请用直接下载的ecshop 2.7.3版本文件/includes/lib_insert.php中在139行加入代码
$arr['num'] = intval($arr['num']);
$arr['id'] = intval($arr['id']);

在271行放入代码
$arr['id'] = intval($arr['id']);
$arr['type'] = addslashes($arr['type']);

在310行放入代码
$arr['id'] = intval($arr['id']);

修改后上传替换然后更新阿里云控制台,提示已经修复,大功告成

留言/评论:◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。

填写好QQ号码,任点空白处自动获取

昵称

邮箱

网址

网站提交

  • 名称:
  • 网址:
Copyright © 2012 - 2017 by 李明关于本站免责声明本站下载站点地图sitemap给我留言